Subject: [sipcore] Misalignments between the P- header definitions in RFC 3455, RFC 7315 and 3GPP TS 24.229: P-Visited-Network-ID

From: Christer Holmberg <[email-masked]>
Date: Thu, 3 Dec 2015 11:43:19 +0000

Hi,

3GPP has been studying possible misalignments between the P- header definitions in RFC 3455, RFC 7315 and 3GPP TS 24.229.

Rather than posting all the issues in a single e-mail, I will send e-mails per header field. This e-mail is about P-Visited-Network-ID    (PCNI), where one issue was identified.

Issue 1)             RFC 7315 allows PCNI in requests and responses.

RFC 3455 and 3GPP TS 24.229 allow PCNI in requests only. However, RFC 7315 allows PCNI in both requests and responses..

Chapters 4.3.2, 4.3.2.1 and 4.3.2.2 only talks about PCNI in requests.

However, chapter 5.7 says:

                "The P-Visited-Network-ID header field can appear in all
               SIP methods except ACK, BYE, and CANCEL and all responses."

I assume this is just a bug in section 5.7, which could be fixed with an errata:

OLD TEXT:

                "The P-Visited-Network-ID header field can appear in all
               SIP methods except ACK, BYE, and CANCEL and all responses."

NEW TEXT:

                "The P-Visited-Network-ID header field can appear in all
               SIP methods except ACK, BYE, and CANCEL."

Regards,

Christer